[evolution-mapi] Do not require gnome-common to run autogen.sh
- From: Milan Crha <mcrha src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [evolution-mapi] Do not require gnome-common to run autogen.sh
- Date: Wed, 27 Jan 2016 17:57:17 +0000 (UTC)
commit 5f27e50ec6832743643d665ca014e647ec001fd6
Author: Milan Crha <mcrha redhat com>
Date: Wed Jan 27 18:57:09 2016 +0100
Do not require gnome-common to run autogen.sh
autogen.sh | 37 ++++++++++++++++++++++++++-----------
configure.ac | 1 +
2 files changed, 27 insertions(+), 11 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 3f6236e..bf4a61f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,23 +4,38 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-PKG_NAME="evolution-mapi"
-REQUIRED_AUTOCONF_VERSION=2.58
-REQUIRED_AUTOMAKE_VERSION=1.9
-REQUIRED_LIBTOOL_VERSION=1.5
-REQUIRED_INTLTOOL_VERSION=0.35.5
-
(test -f $srcdir/configure.ac \
&& test -f $srcdir/ChangeLog \
&& test -d $srcdir/src/configuration) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
+ echo " top-level evolution-mapi directory"
exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME git"
- exit 1
+olddir=`pwd`
+cd $srcdir
+
+check_exists() {
+ variable=`which $1`
+
+ if test -z $variable; then
+ echo "*** No $1 found, please intall it ***" >&2
+ exit 1
+ fi
}
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+check_exists aclocal
+check_exists autoreconf
+check_exists intltoolize
+
+m4dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1'`
+if [ -n "$m4dir" ]; then
+ mkdir -p $m4dir
+fi
+
+aclocal -I m4 || exit $?
+intltoolize --force --copy --automake || exit $?
+autoreconf --verbose --force --install -Wno-portability || exit $?
+
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" --enable-maintainer-mode "$@"
diff --git a/configure.ac b/configure.ac
index e9eabc8..0e2a9a9 100644
--- a/configure.ac
+++ b/configure.ac
@@ -7,6 +7,7 @@ m4_define([ema_version], [3.19.90])
AC_PREREQ(2.58)
AC_INIT([evolution-mapi], [ema_version], [http://bugzilla.gnome.org/browse.cgi?product=evolution-mapi])
AM_INIT_AUTOMAKE([gnu 1.9 dist-xz no-dist-gzip -Wno-portability])
+AC_CONFIG_MACRO_DIR([m4])
AC_CONFIG_SRCDIR(README)
AC_CONFIG_HEADERS(config.h)
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]